commit:     cb42b3e2438c530a921e27a57b74e19928883db1
Author:     Rémi Ollagnier <remi.ollagnier <AT> free <DOT> fr>
AuthorDate: Mon Apr 12 21:28:35 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 08:52:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb42b3e2

net-im/qtox: Added qtox version 1.17.3

Signed-off-by: Rémi Ollagnier <remi.ollagnier <AT> free.fr>

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Closes: https://github.com/gentoo/gentoo/pull/20357
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-im/qtox/Manifest           |  1 +
 net-im/qtox/metadata.xml       |  3 +-
 net-im/qtox/qtox-1.17.3.ebuild | 80 ++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 83 insertions(+), 1 deletion(-)

diff --git a/net-im/qtox/Manifest b/net-im/qtox/Manifest
index 3c3bb122ec6..e044567d91c 100644
--- a/net-im/qtox/Manifest
+++ b/net-im/qtox/Manifest
@@ -1 +1,2 @@
 DIST qTox-1.16.3.tar.gz 4256757 BLAKE2B 
70103e2d912da86dab63424586c642a73614b4a408a53634b146d1e401d5b328a2b8c81c472a94e0e8804d774f693c1250e7263b263e80abef5e111372f29232
 SHA512 
a857266ffcf32b1963e3a4428501299ce19f3c087087583115dc01e41934fc31d52ea54d781fa93ec7e21f6e3303b4e22383ecaaa7f1f1dbf32d740db73aca4c
+DIST qTox-1.17.3.tar.gz 4765213 BLAKE2B 
3bffa351da01b436edc9c80c481845f6c6399c930ac1601e1676b7dec22ccfbf37c082c3a30ab71e2295c96bb427b36a718f960ffc75e700d5c29605f7bf0ac0
 SHA512 
e7534e40aed06aaeba57a201b7315ae2bd361f80971969b95b00fea0a6cbe106c2ea337485c47b350c07a9e3b74947c8b2feb206899292c29621e057b630ca56

diff --git a/net-im/qtox/metadata.xml b/net-im/qtox/metadata.xml
index 291481d1857..697f99071d0 100644
--- a/net-im/qtox/metadata.xml
+++ b/net-im/qtox/metadata.xml
@@ -3,7 +3,8 @@
 <pkgmetadata>
        <!-- maintainer-needed -->
        <use>
-               <flag name="notification">Adds support for GTK Status Notifier 
tray backends</flag>
+               <flag name="notification">Use snorenotify for desktop 
notifications</flag>
+               <flag name="spellcheck">Enable spell cheching support</flag>
        </use>
        <upstream>
                <remote-id type="github">qTox/qTox</remote-id>

diff --git a/net-im/qtox/qtox-1.17.3.ebuild b/net-im/qtox/qtox-1.17.3.ebuild
new file mode 100644
index 00000000000..648bedd8015
--- /dev/null
+++ b/net-im/qtox/qtox-1.17.3.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="qTox-${PV}"
+inherit cmake xdg
+
+DESCRIPTION="qTox is an instant messaging client using the encrypted p2p Tox 
protocol"
+HOMEPAGE="https://qtox.github.io/";
+SRC_URI="https://github.com/qTox/qTox/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="spellcheck notification test X"
+
+RESTRICT="!test? ( test )"
+
+S="${WORKDIR}/qTox"
+
+BDEPEND="
+       dev-qt/linguist-tools:5
+       virtual/pkgconfig
+"
+RDEPEND="
+       dev-qt/qtconcurrent:5
+       dev-qt/qtcore:5
+       || (
+               dev-qt/qtgui:5[gif,jpeg,png,X(-)]
+               dev-qt/qtgui:5[gif,jpeg,png,xcb(-)]
+       )
+       dev-qt/qtnetwork:5
+       dev-qt/qtopengl:5
+       dev-qt/qtsvg:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtxml:5
+       dev-qt/qtsql:5
+       dev-db/sqlcipher
+       dev-libs/libsodium:=
+       media-gfx/qrencode:=
+       media-libs/libexif:=
+       media-libs/openal
+       >=media-video/ffmpeg-2.6.3:=[webp,v4l]
+       net-libs/tox:0/0.2[av]
+       spellcheck? ( kde-frameworks/sonnet:5 )
+       notification? ( x11-libs/snorenotify )
+       X? ( x11-libs/libX11
+               x11-libs/libXScrnSaver )
+"
+DEPEND="${RDEPEND}
+       test? ( dev-qt/qttest:5 )
+"
+
+src_prepare() {
+       cmake_src_prepare
+
+       # bug 628574
+       if ! use test; then
+               sed -i CMakeLists.txt -e "/include(Testing)/d" || die
+               sed -i cmake/Dependencies.cmake -e "/find_package(Qt5Test/d" || 
die
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_BUILD_TYPE="Release"
+               -DPLATFORM_EXTENSIONS=$(usex X)
+               -DUPDATE_CHECK=OFF
+               -DUSE_CCACHE=ON
+               -DSPELL_CHECK=$(usex spellcheck)
+               -DSVGZ_ICON=ON
+               -DASAN=OFF
+               -DDESKTOP_NOTIFICATIONS=$(usex notification)
+               -DSTRICT_OPTIONS=OFF
+               -DGIT_DESCRIBE="${PV}"
+       )
+
+       cmake_src_configure
+}

Reply via email to